package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.AprovacaoCardapioPelaUnidadeFlows;
import com.javaseleniumtemplate.flows.LoginFlows;
import org.testng.annotations.Test;

public class AprovacaoCardapioPelaUnidadeTests extends TestBase {

    LoginFlows loginFlows;
    AprovacaoCardapioPelaUnidadeFlows aprovacaoCardapioPelaUnidadeFlows;

    @Test
    public void aprovaCardapioUnidade(){
        loginFlows = new LoginFlows();
        aprovacaoCardapioPelaUnidadeFlows = new AprovacaoCardapioPelaUnidadeFlows();

        loginFlows.efetuarLogin();
        aprovacaoCardapioPelaUnidadeFlows.acessaTelaAprovacaoFilial();
        aprovacaoCardapioPelaUnidadeFlows.realizarFiltro();
        aprovacaoCardapioPelaUnidadeFlows.aprovaCardapio();
        aprovacaoCardapioPelaUnidadeFlows.cancelarAprovacao();
        aprovacaoCardapioPelaUnidadeFlows.aprovaTodos();
        aprovacaoCardapioPelaUnidadeFlows.cancelaTodos();
        aprovacaoCardapioPelaUnidadeFlows.limparTextos();
    }


}
