package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.OpcoesProdutosReceitaFlows;
import com.javaseleniumtemplate.pages.OpcoesProdutosReceitaPage;
import org.testng.annotations.Test;

public class OpcoesProdutosReceitaTests extends TestBase {

    OpcoesProdutosReceitaPage opcoesProdutosReceitaPage;
    OpcoesProdutosReceitaFlows opcoesProdutosReceitaFlows;
    LoginFlows loginFlows;

    //tentar adicionar um produto de compra no produto principal
    //adicionar e verificar um produto principal
    //adicionar, verificar e excluir um produto opcional
    //excluir o produto principal
    @Test
    public void opcaoProdutoReceita() {
        opcoesProdutosReceitaPage = new OpcoesProdutosReceitaPage();
        opcoesProdutosReceitaFlows = new OpcoesProdutosReceitaFlows();
        loginFlows = new LoginFlows();

        loginFlows.efetuarLogin();
        opcoesProdutosReceitaFlows.navegaTelaOpcoesprodutosReceita();
        opcoesProdutosReceitaPage.adicionarProdutoPrincipal();
        opcoesProdutosReceitaPage.verificarprodutoPrincAdd();
        opcoesProdutosReceitaPage.adicionarProdutoOpcional();
        opcoesProdutosReceitaPage.verificarProdutoOpcionaAdd();
        opcoesProdutosReceitaPage.excluirProdutoOpcional();
        opcoesProdutosReceitaPage.excluirProdutoPrincipal();

        try {
            Thread.sleep(8000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    //adicionar um produto principal e testar o campo obrigatório da tela de adicionar produtos opcionais
    //excluir o produto principal por meio da tela inicial
    //verificar o campo obrigatório da tela de adicionar o produto principal
    @Test
    public void campoObrigatorios() {
        opcoesProdutosReceitaPage = new OpcoesProdutosReceitaPage();
        opcoesProdutosReceitaFlows = new OpcoesProdutosReceitaFlows();
        loginFlows = new LoginFlows();

        loginFlows.efetuarLogin();
        opcoesProdutosReceitaFlows.navegaTelaOpcoesprodutosReceita();
        opcoesProdutosReceitaPage.adicionarProdutoPrincipal();
        opcoesProdutosReceitaPage.campoObrigatorioProdOp();
        opcoesProdutosReceitaPage.excluirPrdTelainicial();
        opcoesProdutosReceitaPage.campoObrigatorioProdPrinc();

        try {
            Thread.sleep(8000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

}
